Bug 668863 - Review Request: dolphin-connector - Simple MySQL C API wrapper for C++
Summary: Review Request: dolphin-connector - Simple MySQL C API wrapper for C++
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-11 20:45 UTC by William Lima
Modified: 2011-05-07 01:32 UTC (History)
3 users (show)

Fixed In Version: dolphin-connector-1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-30 19:47:12 UTC
pingou: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
modified sample to use exception (1.13 KB, text/x-c++src)
2011-01-18 16:28 UTC, William Lima
no flags Details

Description William Lima 2011-01-11 20:45:46 UTC
Spec URL: http://poetinha.fedorapeople.org/dolphin-connector.spec
SRPM URL: http://poetinha.fedorapeople.org/dolphin-connector-1.0-1.fc13.src.rpm
Description:

Dolphin Connector is a simple MySQL C API wrapper for C++.

It is originally designed to be as efficient as is possible,
and makes no use of exceptions.

Comment 1 William Lima 2011-01-18 16:28:32 UTC
Created attachment 474096 [details]
modified sample to use exception

Comment 2 Susi Lehtola 2011-01-18 22:45:35 UTC
Pierre-Yves: if you are reviewing, please set the fedora review flag to ? and the bug status to ASSIGNED.

Comment 3 Frank Ch. Eigler 2011-01-18 23:24:09 UTC
Can you describe the possible contribution of this small library to the fedora collection?  Do we have applications in need of such a wrapper?

Comment 4 Frank Ch. Eigler 2011-01-18 23:28:03 UTC
(Also, are you familiar with mysql++, already included in fedora?)

Comment 5 William Lima 2011-01-18 23:42:31 UTC
(In reply to comment #3)
> Can you describe the possible contribution of this small library to the fedora
> collection?  Do we have applications in need of such a wrapper?

the answer is code quality. currently only lacks prepared statement support.

Comment 6 William Lima 2011-01-18 23:46:27 UTC
(In reply to comment #4)
> (Also, are you familiar with mysql++, already included in fedora?)

mysql++ sucks

Comment 7 Pierre-YvesChibon 2011-01-19 07:18:21 UTC
(In reply to comment #2)
> Pierre-Yves: if you are reviewing, please set the fedora review flag to ? and
> the bug status to ASSIGNED.

I normally do that when I am actually doing the review, here I only looked at the spec and the flag question.

Comment 8 William Lima 2011-01-19 15:18:33 UTC
(In reply to comment #7)
> (In reply to comment #2)
> > Pierre-Yves: if you are reviewing, please set the fedora review flag to ? and
> > the bug status to ASSIGNED.
> 
> I normally do that when I am actually doing the review, here I only looked at
> the spec and the flag question.

are you going to review?

Comment 9 Pierre-YvesChibon 2011-01-19 17:22:05 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #2)
> > > Pierre-Yves: if you are reviewing, please set the fedora review flag to ? and
> > > the bug status to ASSIGNED.
> > 
> > I normally do that when I am actually doing the review, here I only looked at
> > the spec and the flag question.
> 
> are you going to review?

That was my idea, unless somebody takes it. But I wanted to learn first about the flag question.

Comment 10 Pierre-YvesChibon 2011-01-20 09:27:38 UTC
dolphin-connector fails to build on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2732783

Comment 11 Pierre-YvesChibon 2011-01-20 09:38:09 UTC
ok so the flag question is not a review blocker, I therefore will do the review (once it builds on koji)

Comment 15 Pierre-YvesChibon 2011-01-20 14:46:49 UTC
Legend:
* OK
! Not OK
- Not Applicable

* rpmlint must be run on every package.
  3 packages and 0 specfiles checked; 0 errors, 0 warnings.
* The package follows the Package Naming Guidelines.
* The spec file name matches the base package %{name}, in the format
   %{name}.spec
* The package meets the Packaging Guidelines.
* The package is licensed with a Fedora approved license and meet the Licensing
  Guidelines.
    License BSD
* The License field in the package spec file matches the actual license.
* The source package includes the text of the license(s)and the package 
  includes it in %doc.
* The spec file is written in American English.
* The spec file for the package MUST be legible.
- The sources used to build the package must match the upstream source, as 
  provided in the spec URL.
    source from the src.rpm: c02c178324466f6054e5893d0cac251d
    Procedure described to generate the sources is clean
* The package successfully compiles and build into binary rpms on at least one 
  primary architecture.
    koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2733125
- If the package does not successfully compile, build or work on an
  architecture, then those architectures should be listed in the spec in 
  ExcludeArch.
* All build dependencies must be listed in BuildRequires, except for any that 
  are listed in the exceptions section of the Packaging Guidelines ; inclusion
  of those as BuildRequires is optional.
- The spec file MUST handle locales properly. This is done by using the 
  %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
* Every binary RPM package (or subpackage) which stores shared library 
  files(not just symlinks) in any of the dynamic linker's default paths, must 
  call ldconfig in %post and %postun.
* Packages do NOT bundle copies of system libraries.
- If the package is designed to be relocatable, the packager must state this 
  fact in the request for review, along with the rationalization for relocation 
  of that specific package. Without this, use of Prefix: /usr is considered a 
  blocker.
* A package must own all directories that it creates. If it does not create a 
  directory that it uses, then it should require a package which does create 
  that directory.
* Package does not list a file more than once in the spec file's %files 
  listings. 
* Permissions on files must be set properly. Executables should be set with 
  executable permissions, for example. Every %files section must include a 
  %defattr(...) line.
* Each package consistently uses macros.
* The package contains code, or permissable content.
- Large documentation files must go in a -doc subpackage.
* Files included something as %doc, do not affect the runtime of the 
  application.
* Header files are in a -devel package.
- Static libraries must be in a -static package.
* Package contains library files with a suffix (e.g. libfoo.so.1.1), library 
  files that end in .so (without suffix) are in a -devel package.
* Devel packages requires the base package using a fully versioned dependency: 
  Requires: %{name} = %{version}-%{release}.
* Packages do NOT contain any .la libtool archives.
- Packages containing GUI applications includes a %{name}.desktop file, and 
  that file must be properly installed with desktop-file-install in the 
  %install section.
* Packages do not own files or directories already owned by other packages.
* All filenames in rpm packages must be valid UTF-8.


So this package is APPROVED.

Comment 16 Pierre-YvesChibon 2011-01-20 14:51:11 UTC
btw http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags mentions that the rational to change the compipler flags should be documented in the spec. I trust you can do this before importing into git :)

Comment 17 William Lima 2011-01-20 15:24:18 UTC
(In reply to comment #16)
> btw http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags mentions
> that the rational to change the compipler flags should be documented in the
> spec. I trust you can do this before importing into git :)

sure! :)

Comment 18 William Lima 2011-01-20 15:43:33 UTC
I'll compile with '-fexceptions'.

Comment 19 Frank Ch. Eigler 2011-01-20 16:41:17 UTC
Under http://fedoraproject.org/wiki/Packaging/Guidelines, "Legal",
it says:

# Packages which are not useful without external bits [...]
# This also means that packages which are not functional or useful without code
# or packages from third-party sources are not acceptable for inclusion in 
# Fedora. 

Does this mean that a library without actual applications/users is not
itself eligible for fedora?

Comment 20 Jason Tibbitts 2011-01-20 17:19:20 UTC
Only if you try to twist the words into meaning that.

Comment 21 William Lima 2011-01-20 18:53:50 UTC
New Package SCM Request
=======================
Package Name: dolphin-connector
Short Description: Simple MySQL C API wrapper for C++
Owners: poetinha
Branches: f13 f14 el6
InitialCC:

Comment 22 Jason Tibbitts 2011-01-20 18:55:20 UTC
Git done (by process-git-requests).

Comment 23 Fedora Update System 2011-01-20 20:36:33 UTC
dolphin-connector-1.0-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dolphin-connector-1.0-4.fc13

Comment 24 Fedora Update System 2011-01-20 20:39:15 UTC
dolphin-connector-1.0-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dolphin-connector-1.0-4.fc14

Comment 25 Fedora Update System 2011-01-21 22:58:53 UTC
dolphin-connector-1.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dolphin-connector'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dolphin-connector-1.0-4.fc13

Comment 26 Fedora Update System 2011-01-30 19:47:06 UTC
dolphin-connector-1.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-01-30 19:49:56 UTC
dolphin-connector-1.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2011-04-20 18:28:45 UTC
dolphin-connector-1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dolphin-connector-1.2-1.el6

Comment 29 Fedora Update System 2011-05-07 01:32:16 UTC
dolphin-connector-1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.